# frozen_string_literal: true

module PdfHelper
  def prepare_rich_text(rich_text)
    return rich_text

    { del: "strikethrough" }.each do |tag, replacement|
      rich_text = rich_text.to_s.gsub("<#{tag}", "<#{replacement}")
      rich_text = rich_text.to_s.gsub("</#{tag}>", "</#{replacement}>")
    end

    %w[div p del blockquote pre code].each do |tag|
      rich_text = rich_text.to_s.gsub(%r{<#{tag}.*?>|</#{tag}>}, "")
    end
    rich_text.gsub!(/<h1.*?>/, "")
    rich_text.gsub!(%r{</h1>}, "<br><br>")
    rich_text
  end
end
